## List namespaces. `client.aiSearch.namespaces.list(NamespaceListParamsparams?, RequestOptionsoptions?): V4PagePaginationArray` **get** `/accounts/{account_id}/ai-search/namespaces` List namespaces. ### Parameters - `params: NamespaceListParams` - `account_id?: string` Path param - `page?: number` Query param: Page number (1-indexed). - `per_page?: number` Query param: Number of results per page. - `search?: string` Query param: Filter namespaces whose name or description contains this string (case-insensitive). ### Returns - `NamespaceListResponse` - `created_at: string` - `name: string` - `description?: string | null` Optional description for the namespace. Max 256 characters. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const namespaceListResponse of client.aiSearch.namespaces.list({ account_id: 'c3dc5f0b34a14ff8e1b3ec04895e1b22', })) { console.log(namespaceListResponse.created_at); } ``` #### Response ```json { "result": [ { "created_at": "2019-12-27T18:11:19.117Z", "name": "production", "description": "Production environment" } ], "result_info": { "count": 0, "page": 0, "per_page": 0, "total_count": 0 }, "success": true } ```